カテゴリー
お知らせ 運営ブログ

Apache及びPHPのバージョンアップ実施

eXout.netをご利用いただきありがとうございます。

本日、WebサーバーソフトのApache及びPHPのバージョンアップを実施いたしました。
新バージョンは以下の通りです。

Apache 2.4.17 / PHP 7.0.0

これに伴い、一部ユーザーに支障が発生している可能性があります。
特に、PHPをご利用の方は以下の点の確認/修正が必要になる場合がございます。

・PHP5.6からPHP7.0へバージョンアップしたことで、使用できなくなった、もしくは非推奨となった関数が多数存在します。
自作されたPHPファイルであれば、適宜修正願います。
一般に配布されているPHPファイルであれば、PHP7.0に対応しているか確認の上ご利用ください。

また、以前バージョンアップ時の重要事項も以下に再掲させていただきます。

・アクセス許可設定がApache2.2から書き方が変更となっています。
全てのアクセスを許可する場合

Order allow,deny
Allow from all
新(全てのアクセスを許可)
Require all granted

全てのアクセスを拒否する場合

Order deny,allow
Deny from all

Require all denied

・今までルートディレクトリにhtaccessを置くと下部のpublic_htmlとcgi-binにて有効でしたが、
 ルートディレクトリに置いても参照されなくなりました。
それぞれのディレクトリに設置してください。

・正しいエンコーディング設定がされていないページでは文字化けが発生する可能性があります。
特に、PHPやCGI関係ではcharsetを必ず出力してください。
BASIC認証等を用いる場合は、htaccess自体のエンコーディング設定をページのエンコーディングと合わせてください。
(UTF-8を推奨します)

 

今までご利用いただけていたものが利用できなくなった等、問題が発生している場合は助け合い掲示板へ投稿いただければ確認の上、解決のお手伝いをさせていただきます。

今後ともよろしくお願いいたします。

「Apache及びPHPのバージョンアップ実施」への8件の返信

助け合い掲示板も動かなくなってどうすればいいのやら。

現在ワードプレスの改修を進めており、近日中に復帰予定です。
また、メールでのお問い合わせは以前のままお使いいただけますので、お困りであれば「お問い合わせ」からどうぞ。

今後、複数バージョンを設置するなどはないのでしょうか?
最新版のWebシステムならPHP7に対応するとしてもエラー出たままでは、アップデートさえできないので。

特に複数バージョンの設置は考えておりません。
バージョンアップが必要であれば、FTP転送による手動バージョンアップが一般的なシステムなら可能かと思います。(少なくともWordpressやphpBBでは可能です)

最新版phpBBをインストールしようとしたのですが、インストールが終了しません。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください